%define		module		awscli
%define		egg_name	awscli
%define		pypi_name	awscli
Summary:	Universal Command Line Environment for AWS
Name:		awscli
Version:	1.25.81
Release:	1
License:	ASL 2.0 and MIT
Group:		Applications/Networking
Source0:	https://files.pythonhosted.org/packages/source/a/awscli/%{name}-%{version}.tar.gz
# Source0-md5:	b9c7d124430cf8307d7b9bcdf6a997c1
Patch0:		%{name}-relax_deps.patch
URL:		https://aws.amazon.com/cli/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.719
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
Requires:	python3-%{pypi_name} = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a unified command line interface to Amazon Web
Services.

%package -n python3-%{pypi_name}
Summary:	Python 3 package for awscli
Group:		Libraries/Python
Requires:	python3-PyYAML >= 3.10
Requires:	python3-botocore >= 1.27.2
Requires:	python3-colorama >= 0.2.5
Requires:	python3-docutils >= 0.10
Requires:	python3-modules >= 1:3.6
Requires:	python3-rsa >= 3.1.2
Requires:	python3-s3transfer >= 0.6.0
Obsoletes:	python-awscli < 1.20.40

%description -n python3-%{pypi_name}
Python 3 package for awscli.

%prep
%setup -q
%patch0 -p1

rm -r %{name}.egg-info

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

# We don't need the Windows CMD script
rm $RPM_BUILD_ROOT%{_bindir}/aws.cmd

# Fix path and permissions for bash completition
install -d $RPM_BUILD_ROOT%{bash_compdir}
mv $RPM_BUILD_ROOT%{_bindir}/aws_bash_completer $RPM_BUILD_ROOT%{bash_compdir}
# Fix path and permissions for zsh completition
install -d $RPM_BUILD_ROOT%{zsh_compdir}
mv $RPM_BUILD_ROOT%{_bindir}/aws_zsh_completer.sh $RPM_BUILD_ROOT%{zsh_compdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst LICENSE.txt
%attr(755,root,root) %{_bindir}/aws
%attr(755,root,root) %{_bindir}/aws_completer
%{bash_compdir}/aws_bash_completer
%{zsh_compdir}/aws_zsh_completer.sh

%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Mon Sep 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/awscli.git;a=log;h=master

* Sat Sep 24 2022 Jan Palus <atler@pld-linux.org> 05e5413
- up to 1.25.81

* Wed Aug 24 2022 Jan Palus <atler@pld-linux.org> 3e66f41
- up to 1.25.59

* Sun Jul 31 2022 Jan Palus <atler@pld-linux.org> bbcd48f
- up to 1.25.42

* Mon Jun 06 2022 Jan Palus <atler@pld-linux.org> 861bb5c
- up to 1.25.2

* Sun May 08 2022 Jan Palus <jpalus@fastmail.com> 106348a
- up to 1.23.9

* Wed Apr 06 2022 Jan Palus <atler@pld-linux.org> bad86c2
- up to 1.22.89

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 13fb80b
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0fe16fe
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> de17a4c
- rebuild with python 3.10

* Sun Mar 06 2022 Jan Palus <atler@pld-linux.org> 3bcb21c
- up to 1.22.68

* Thu Feb 10 2022 Jan Palus <atler@pld-linux.org> b779875
- up to 1.22.52

* Wed Jan 12 2022 Jan Palus <atler@pld-linux.org> d0c067e
- up to 1.22.33

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> f23b7ef
- up to 1.22.21

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> afff642
- up to 1.20.40

* Tue Mar 17 2020 Elan Ruusamäe <glen@pld-linux.org> e4e53ce
- Up to 1.15.72

* Fri Apr 13 2018 Elan Ruusamäe <glen@pld-linux.org> 9611de3
- new, version 1.15.2

